export declare type Scope = string | Record<string, any>;
export interface BaseStorageOptions {
    namespace: string;
    scope?: Scope;
}
export declare abstract class BaseStorage<TOptions> {
    static verify(strategy: BaseStorage<BaseStorageOptions> | unknown): BaseStorage<any>;
    extendScope(scope: Scope): Scope;
    abstract setItem<T>(key: string, value: T, options: TOptions): Promise<void>;
    abstract getItem<T = any>(key: string, options: TOptions): Promise<T>;
    abstract removeItem(key: string, options: TOptions): Promise<void>;
    abstract getAllItems<T = any>(options: TOptions): Promise<T>;
}
//# sourceMappingURL=base-storage.d.ts.map