import { BaseStorage, Scope } from '../base-storage';
import { LocalStorageStrategyOptions } from './local-storage';
export declare class CachedStorageStrategy<A, B = LocalStorageStrategyOptions> extends BaseStorage<A & B> {
    private remoteStrategy;
    private localStrategy;
    constructor({ remoteStrategy, localStrategy, }: {
        remoteStrategy: BaseStorage<A>;
        localStrategy?: BaseStorage<B>;
    });
    extendScope(scope: Scope): Scope;
    _cacheItem(key: string, value: any, options: B): Promise<void>;
    setItem<T>(key: string, value: T, options: A & B): Promise<void>;
    removeItem(key: string, options: A & B): Promise<void>;
    getItem<T = any>(key: string, options: A & B): Promise<T>;
    getAllItems<T = any>(options: A & B): Promise<T>;
    private _getRemoteAndCache;
}
//# sourceMappingURL=cached-storage.d.ts.map