import { BaseStorage, BaseStorageOptions } from '../base-storage';
import { ConsentPolicyCategories } from '../consent-policy';
export interface LocalStorageStrategyOptions extends BaseStorageOptions {
    expiration?: number;
    createdAt?: number;
    category?: ConsentPolicyCategories;
}
export declare class LocalStorageStrategy extends BaseStorage<LocalStorageStrategyOptions> {
    setItem<T>(key: string, value: T, options: LocalStorageStrategyOptions): Promise<void>;
    getItem<T = any>(key: string, options: LocalStorageStrategyOptions): Promise<T>;
    removeItem(key: string, options: LocalStorageStrategyOptions): Promise<void>;
    getAllItems<T = any>(options: LocalStorageStrategyOptions): Promise<T>;
}
export interface SerializedData {
    lastUsed: number;
    createdAt: number;
    expiration?: number;
    value: any;
}
//# sourceMappingURL=local-storage.d.ts.map