"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalStorageCachedCapsule = exports.InMemoryStorageCapsule = exports.LocalStorageCapsule = void 0;
var tslib_1 = require("tslib");
var data_capsule_1 = require("./data-capsule");
var cached_storage_1 = require("./strategies/cached-storage");
var in_memory_storage_1 = require("./strategies/in-memory-storage");
var local_storage_1 = require("./strategies/local-storage");
function LocalStorageCapsule(options) {
    return new data_capsule_1.DataCapsule(tslib_1.__assign(tslib_1.__assign({}, options), { strategy: new local_storage_1.LocalStorageStrategy() }));
}
exports.LocalStorageCapsule = LocalStorageCapsule;
function InMemoryStorageCapsule(options) {
    return new data_capsule_1.DataCapsule(tslib_1.__assign(tslib_1.__assign({}, options), { strategy: new in_memory_storage_1.InMemoryStorageStrategy() }));
}
exports.InMemoryStorageCapsule = InMemoryStorageCapsule;
function LocalStorageCachedCapsule(_a) {
    var remoteStrategy = _a.remoteStrategy, options = tslib_1.__rest(_a, ["remoteStrategy"]);
    return new data_capsule_1.DataCapsule(tslib_1.__assign(tslib_1.__assign({}, options), { strategy: new cached_storage_1.CachedStorageStrategy({
            remoteStrategy: remoteStrategy,
        }) }));
}
exports.LocalStorageCachedCapsule = LocalStorageCachedCapsule;
//# sourceMappingURL=capsules.js.map