import { BaseStorage, BaseStorageOptions } from './base-storage';
export declare class DataCapsule<O extends BaseStorageOptions = BaseStorageOptions & Record<string, any>> extends BaseStorage<O> {
    private storageStrategy;
    private readonly _options;
    constructor({ strategy, ...options }: {
        strategy: BaseStorage<O>;
    } & Partial<O>);
    setItem<T>(key: string, value: T, options?: Partial<O>): Promise<void>;
    getItem<T = any>(key: string, options?: Partial<O>): Promise<T>;
    removeItem(key: string, options?: Partial<O>): Promise<void>;
    getAllItems<T = any>(options?: Partial<O>): Promise<T>;
    private _buildValidateOptions;
}
//# sourceMappingURL=data-capsule.d.ts.map