import { BaseStorage, BaseStorageOptions } from '../base-storage';
export interface FrameStorageStrategyOptions {
    connectionMaxTimeout?: number;
    messageMaxTimeout?: number;
}
export declare class FrameStorageStrategy extends BaseStorage<BaseStorageOptions> {
    private target;
    private origin;
    private token;
    private channel;
    private connectionMaxTimeout;
    private messageMaxTimeout;
    constructor(target: Window, origin: string, token: string, { connectionMaxTimeout, messageMaxTimeout, }?: FrameStorageStrategyOptions);
    getChannel(): Promise<any>;
    sendCommand(method: string, ...params: any[]): Promise<any>;
    setItem<T>(key: string, value: T, options: BaseStorageOptions): Promise<any>;
    getItem<T = any>(key: string, options: BaseStorageOptions): Promise<T>;
    removeItem(key: string, options: BaseStorageOptions): Promise<void>;
    getAllItems<T = any>(options: BaseStorageOptions): Promise<T>;
}
//# sourceMappingURL=frame-storage.d.ts.map