"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NullStrategy = void 0;
var tslib_1 = require("tslib");
var base_storage_1 = require("../base-storage");
var constants_1 = require("../utils/constants");
var NullStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(NullStrategy, _super);
    function NullStrategy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NullStrategy.prototype.setItem = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
            return [2 /*return*/];
        }); });
    };
    NullStrategy.prototype.getItem = function () {
        return Promise.reject(constants_1.NOT_FOUND);
    };
    NullStrategy.prototype.removeItem = function () {
        return Promise.resolve();
    };
    NullStrategy.prototype.getAllItems = function () {
        return Promise.resolve({});
    };
    return NullStrategy;
}(base_storage_1.BaseStorage));
exports.NullStrategy = NullStrategy;
//# sourceMappingURL=null-storage.js.map