import { BaseStorage, BaseStorageOptions, Scope } from '../base-storage';
export declare function getUserId(): string;
export interface WixStorageStrategyOptions extends BaseStorageOptions {
    namespace: string;
    scope?: string | {
        siteId?: string;
    };
    expiration: number;
}
export declare class WixStorageStrategy extends BaseStorage<WixStorageStrategyOptions> {
    private axiosInstance;
    constructor({ signedInstance }?: {
        signedInstance?: string;
    });
    extendScope(scope: Scope): {
        userId: string;
    };
    setItem<T>(key: string, value: T, options: WixStorageStrategyOptions): Promise<void>;
    removeItem(key: string, options: WixStorageStrategyOptions): Promise<any>;
    getItem<T = any>(key: string, options: WixStorageStrategyOptions): Promise<T>;
    getAllItems(options: WixStorageStrategyOptions): Promise<any>;
}
//# sourceMappingURL=wix-storage.d.ts.map