"use strict";
/* global localStorage */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExpired = exports.getCacheRecords = exports.deserializeData = void 0;
var tslib_1 = require("tslib");
var constants_1 = require("./constants");
function parseCacheKey(cacheKey) {
    var _a = cacheKey.split(constants_1.KEY_SEPARATOR), prefix = _a[0], key = _a[1];
    var _b = prefix.split(constants_1.PREFIX_SEPARATOR), namespace = _b[1], scope = _b[2];
    if (scope === undefined) {
        return { namespace: namespace, key: key };
    }
    else {
        return { namespace: namespace, scope: scope, key: key };
    }
}
function deserializeData(data) {
    return JSON.parse(data);
}
exports.deserializeData = deserializeData;
function getCacheRecords(prefix) {
    if (prefix === void 0) { prefix = constants_1.STORAGE_PREFIX + constants_1.PREFIX_SEPARATOR; }
    var items = [];
    for (var i = 0; i < localStorage.length; i++) {
        var key = localStorage.key(i);
        if (key.startsWith(prefix)) {
            var data = localStorage.getItem(key);
            items.push(tslib_1.__assign(tslib_1.__assign({ size: key.length + data.length, originalKey: key }, deserializeData(data)), parseCacheKey(key)));
        }
    }
    return items;
}
exports.getCacheRecords = getCacheRecords;
function isExpired(data) {
    if (data.expiration) {
        return data.createdAt + data.expiration * 1000 <= Date.now();
    }
    else {
        return false;
    }
}
exports.isExpired = isExpired;
//# sourceMappingURL=record-utils.js.map