"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chai_1 = require("chai");
var base_storage_1 = require("../src/base-storage");
describe('base-storage', function () {
    var SomeStorage = /** @class */ (function (_super) {
        tslib_1.__extends(SomeStorage, _super);
        function SomeStorage() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        SomeStorage.prototype.getAllItems = function (options) {
            return Promise.resolve(undefined);
        };
        SomeStorage.prototype.getItem = function (key, options) {
            return Promise.resolve(undefined);
        };
        SomeStorage.prototype.removeItem = function (key, options) {
            return Promise.resolve(undefined);
        };
        SomeStorage.prototype.setItem = function (key, value, options) {
            return Promise.resolve(undefined);
        };
        return SomeStorage;
    }(base_storage_1.BaseStorage));
    describe('verify', function () {
        it('should return instance when child is instance of BaseStorage', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
            var someStorage;
            return tslib_1.__generator(this, function (_a) {
                someStorage = new SomeStorage();
                chai_1.expect(base_storage_1.BaseStorage.verify(someStorage)).to.equal(someStorage);
                return [2 /*return*/];
            });
        }); });
        it('should throw error when candidate does not inherit from BaseStorage', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                chai_1.expect(function () { return base_storage_1.BaseStorage.verify({}); }).to.throw('This class must extend BaseStorage');
                return [2 /*return*/];
            });
        }); });
    });
});
//# sourceMappingURL=base-storage.spec.js.map